Imports System.Data.Entity.Migrations

Namespace DataPointsDemo.DataLayer.Migrations
	Partial Public Class InitialCreate
		Inherits DbMigration

		Public Overrides Sub Up()
			CreateTable("Aliases", Function(c) New With {Key .Id = c.Int(nullable:= False, identity:= True), Key .Name = c.String(nullable:= False), Key .UserName = c.String(maxLength:= 30), Key .Email = c.String(), Key .Bio = c.String(), Key .CreateDate = c.DateTime(nullable:= False), Key .Avatar = c.Binary(), Key .RowVersion = c.Binary(nullable:= False, fixedLength:= True, timestamp:= True)}).PrimaryKey(Function(t) t.Id)

			CreateTable("Tweets", Function(c) New With {Key .Id = c.Int(nullable:= False, identity:= True), Key .CreateDate = c.DateTime(nullable:= False), Key .Content = c.String(), Key .AliasId = c.Int(nullable:= False)}).PrimaryKey(Function(t) t.Id).ForeignKey("Aliases", Function(t) t.AliasId, cascadeDelete:= True).Index(Function(t) t.AliasId)
		End Sub

		Public Overrides Sub Down()
			DropIndex("Tweets", { "AliasId" })
			DropForeignKey("Tweets", "AliasId", "Aliases")
			DropTable("Tweets")
			DropTable("Aliases")
		End Sub
	End Class
End Namespace
