Imports System.Data.Entity.Migrations

Namespace DataPointsDemo.DataLayer.Migrations
	Partial Public Class InitialCreate
		Inherits DbMigration

		Public Overrides Sub Up()
			CreateTable("dbo.Tweeters", Function(c) New With {Key .Id = c.Int(nullable:= False, identity:= True), Key .Name = c.String(nullable:= False), Key .ExperienceCode = c.String(), Key .UserName = c.String(maxLength:= 30), Key .Email = c.String(), Key .Bio = c.String(), Key .CreateDate = c.DateTime(nullable:= False), Key .Avatar = c.Binary(), Key .RowVersion = c.Binary(nullable:= False, fixedLength:= True, timestamp:= True, storeType:= "rowversion")}).PrimaryKey(Function(t) t.Id)

			CreateTable("dbo.Tweets", Function(c) New With {Key .Id = c.Int(nullable:= False, identity:= True), Key .CreateDate = c.DateTime(nullable:= False), Key .Content = c.String(), Key .RatingCode = c.Int(nullable:= False), Key .AliasId = c.Int(nullable:= False)}).PrimaryKey(Function(t) t.Id).ForeignKey("dbo.Tweeters", Function(t) t.AliasId, cascadeDelete:= True).Index(Function(t) t.AliasId)
		End Sub

		Public Overrides Sub Down()
			DropIndex("dbo.Tweets", { "AliasId" })
			DropForeignKey("dbo.Tweets", "AliasId", "dbo.Tweeters")
			DropTable("dbo.Tweets")
			DropTable("dbo.Tweeters")
		End Sub
	End Class
End Namespace
