Imports System.Data.Entity
Imports DataPointsDemo.DataLayer
Imports DataPointsDemo.DataLayer.Migrations
Imports DataPointsDemo.DomainClasses

Namespace DataPointsDemo.ConsoleApplication
  Friend Class Program
        Shared Sub Main(ByVal args() As String)
            'Database.SetInitializer(New MigrateDatabaseToLatestVersion(Of TwitterContext, Configuration)())
            'Database.SetInitializer(Of TwitterContext)(Nothing)
            'CreateDatabase()
            'CreateNewAlias()
        End Sub

        Private Shared Sub CreateNewAlias()
            Dim [alias] = New Tweeter With
                          {
                              .Name = "Julie",
                              .UserName = "Julie",
                              .Bio = "Mom of Giantpuppy",
                              .CreateDate = DateTime.Now,
                              .Tweets = New List(Of Tweet) From {New Tweet With {.Content = "Oh how I love that Giantpuppy",
                                                           .CreateDate = Date.Now}}
                              }

            Using context As New TwitterContext
                context.Tweeters.Add([alias])
                context.SaveChanges()
            End Using

            Using context As New TwitterContext
                Dim aliases = context.Tweeters.ToList()
            End Using
        End Sub

        Private Shared Sub CreateDatabase()
            Dim context = New TwitterContext
            context.Database.Initialize(True)
        End Sub
    End Class
End Namespace



